# removeAllIf method

void removeAllIf(

1. ConditionTester<T> condition,
2. Iterable<T> items

)

Removes all items from another list if a condition is met.

## Parameters

- `condition`: The condition to check
- `items`: The items to remove

## Implementation

    void removeAllIf(ConditionTester<T> condition, Iterable<T> items) {
      if(all(condition)) {
        removeWhere((element) => items.any((e) => e.equals(element)));
      }
    }